Share via


Cross Tenant Connection Reports - Get Cross Tenant Connection Report

Get a cross-tenant connection report by report ID for a tenant.

GET https://api.powerplatform.com/governance/crossTenantConnectionReports/{reportId}?api-version=2022-03-01-preview

URI Parameters

Name In Required Type Description
reportId
path True

string

The report ID.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

CrossTenantConnectionReport

Success.

400 Bad Request

Bad Request.

401 Unauthorized

Unauthorized.

403 Forbidden

Forbidden.

404 Not Found

Not Found.

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
CrossTenantConnection
CrossTenantConnectionReport

CrossTenantConnection

Name Type Description
connectionType enum:
  • Inbound
  • Outbound

The direction of the cross-tenant connection.

tenantId

string (uuid)

The Azure AD tenant ID to or from which the cross-tenant connection occurred.

CrossTenantConnectionReport

Name Type Description
@odata.nextLink

string

Next page URI for additional cross-tenant connections.

connections

CrossTenantConnection[]

The page of cross-tenant connections occurring within the report date window.

endDate

string (date-time)

The end of the report date window.

reportId

string (uuid)

The report ID.

requestDate

string (date-time)

The date when the cross-tenant connection report was requested.

startDate

string (date-time)

The start of the report date window.

status enum:
  • Completed
  • Failed
  • InProgress
  • Received
tenantId

string (uuid)

The Azure AD tenant ID for which the report was generated.